Bug 269201 - Unnamed inner structures and unions in C11 language or as an extension in previous standards
Unnamed inner structures and unions in C11 language or as an extension in pre...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
PC Linux
: P2 (vote)
: 8.2
Assigned To: petrk
issues@cnd
82patch1-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-01 16:14 UTC by petrk
Modified: 2016-12-08 09:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description petrk 2016-12-01 16:14:00 UTC
struct AAA {
    struct {
        int s_first;
        float s_second;
    };
    union {
        int u_first;
        float u_second;
    };
    struct {
        int xxx;
    } fld;
    int boo;
}; 

void bla() {
    struct AAA var;
    // All fields below are not resolved
    var.s_first = 1;
    var.s_second = 1.0f;
    var.s_first = 1;
    var.u_second = 1.0f;
}
Comment 1 Vladimir Voskresensky 2016-12-01 16:38:49 UTC
it worked some times ago, so let's consider it to be P2 REGRESSION
Comment 2 petrk 2016-12-01 16:44:46 UTC
Fixed at enum: 313526:8fc5df775076
Comment 3 Quality Engineering 2016-12-03 03:03:05 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ac4f0d62fe10
User: Petr Kudryavtsev <petrk@netbeans.org>
Log: Fixed #269201 - Unnamed inner structures and unions in C11 language or as an extension in previous standards
(transplanted from 8fc5df77507667c5a6896348e92ac2188bf30e91)
Comment 4 soldatov 2016-12-08 09:49:06 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo